> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/address/address-parse.md).

# Address Parse

## Parse methods (AU/NZ)

### address <a href="#address" id="address"></a>

The parse method takes one or more addresses as the input and parse them into component parts, returning a list of the parsed results. The maximum number of input addresses is 100 per call.

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/parse/address
```

#### Request

The request body is an [AddressRestRequest](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestrequest) object:

```
    {
        "payload": [ { "fullAddress": "L 2 SE 202 220 GEORGE ST, SYDNEY NSW 2000" } ],
        "sourceOfTruth": "AUPAF"
    }
```

#### Response

The response body is an [AddressRestResponse ](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestresponse)object:

```
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "status": "SUCCESS",
                "messages": [],
                "payload": [
                    {
                    	"attributes": null,
                    	"buildingName": "",
                    	"careOf": "",
       	                "fullAddress": "L 2 SE 202 220 GEORGE ST, SYDNEY NSW 2000",
       	                "country": "",
       	                "postcode": "2000",
       	                "street2":"",
       	                "street": "GEORGE ST",
       	                "streetName": "GEORGE",
       	                "streetSuffix": "", 
       	                "streetType": "ST",        	                
       	                "streetNumber": "220",
       	                "postal": "",
       	                "postalNumber": "",
       	                "postalType": "",        	                
       	                "buildingName": "",
       	                "subdwelling": "L 2 SE 202",
       	                "flatUnitNumber": "202",
       	                "flatUnitType": "SE",
       	                "floorLevelNumber": "2",
       	                "floorLevelType": "L",
       	                "lotNumber": null,          	                
       	                "eid": null,
       	                "id": null,
       	                "exception": null,
       	                "state": "NSW",
       	                "locality": "SYDNEY"
                    }
                ]
            }
        ]
    }
    
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/address/address-parse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
